clang 8.0.0

Classes | Public Member Functions | Public Attributes | Friends | List of all members
clang::ThisAdjustment Struct Reference

A `this` pointer adjustment. More...

`#include "clang/Basic/ABI.h"`

Collaboration diagram for clang::ThisAdjustment:
[legend]

## Classes
union | VirtualAdjustment
| Holds the ABI-specific information about the virtual this adjustment, if needed. More...

## Public Member Functions
| ThisAdjustment ()
bool | isEmpty () const

## Public Attributes
int64_t | NonVirtual
| The non-virtual adjustment from the derived object to its nearest virtual base. More...
union clang::ThisAdjustment::VirtualAdjustment | Virtual

## Friends
bool | operator== (const ThisAdjustment &LHS, const ThisAdjustment &RHS)
bool | operator!= (const ThisAdjustment &LHS, const ThisAdjustment &RHS)
bool | operator< (const ThisAdjustment &LHS, const ThisAdjustment &RHS)

## Detailed Description

A `this` pointer adjustment.

Definition at line 108 of file ABI.h.

## Constructor & Destructor Documentation

## ◆ ThisAdjustment()

clang::ThisAdjustment::ThisAdjustment | ( |  | ) |
| inline

Definition at line 153 of file ABI.h.

## Member Function Documentation

## ◆ isEmpty()

bool clang::ThisAdjustment::isEmpty | ( |  | ) | const
| inline

Definition at line 155 of file ABI.h.

References clang::ReturnAdjustment::VirtualAdjustment::isEmpty(), and clang::ReturnAdjustment::Virtual.

Referenced by dumpMicrosoftThunkAdjustment(), and clang::ThunkInfo::isEmpty().

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | const ThisAdjustment & | LHS,
|  | const ThisAdjustment & | RHS
| ) |  |
| friend

Definition at line 162 of file ABI.h.

## ◆ operator<

bool operator< | ( | const ThisAdjustment & | LHS,
|  | const ThisAdjustment & | RHS
| ) |  |
| friend

Definition at line 166 of file ABI.h.

## ◆ operator==

bool operator== | ( | const ThisAdjustment & | LHS,
|  | const ThisAdjustment & | RHS
| ) |  |
| friend

Definition at line 157 of file ABI.h.

## Member Data Documentation

## ◆ NonVirtual

int64_t clang::ThisAdjustment::NonVirtual

The non-virtual adjustment from the derived object to its nearest virtual base.

Definition at line 111 of file ABI.h.

Referenced by dumpMicrosoftThunkAdjustment(), isStreamCharSpecialization(), mangleThunkThisAdjustment(), and performTypeAdjustment().

## ◆ Virtual

union clang::ThisAdjustment::VirtualAdjustment clang::ThisAdjustment::Virtual

Referenced by dumpMicrosoftThunkAdjustment(), isStreamCharSpecialization(), mangleThunkThisAdjustment(), and performTypeAdjustment().

The documentation for this struct was generated from the following file:

- include/clang/Basic/ABI.h